Subject: Re: bug#24902: 25.1; C-x = for Unicode

From: Mattias Engdegård <[email-masked]>
Date: Tue, 25 Jan 2022 19:00:21 +0100

25 jan. 2022 kl. 17.41 skrev Robert Pluim <[email-masked]>:

> I remember there was a very large amount of back-and-forth about the
> exact output that would be enabled by `what-cursor-show-names', as
> people were very sensitive to the exact information presented. Yet
> here you've essentially flipped it to t for everybody, which will
> inevitably result in complaints.

It's a rather separate discussion. (Those most attached to the old appearance are long-time users who know very well how to customise it, and it's good if new users get the better design by default.) Let's focus on the new design right now.

> I think the new format can be improved, as to my eyes itʼs lacking in
> visual separators between the fields

I thought the all-caps Unicode character name did offset it rather well against what followed, but perhaps adding a comma immediately after the name, as in

U+003B SEMICOLON, pt=72/145 col=0

would help?